AbstractFactoryBeanDefinitionParser (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.configuration.spring

## Class AbstractFactoryBeanDefinitionParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
    - - org.apache.cxf.configuration.spring.AbstractBeanDefinitionParser
      - - org.apache.cxf.configuration.spring.AbstractFactoryBeanDefinitionParser

- All Implemented Interfaces:
    `org.springframework.beans.factory.xml.BeanDefinitionParser`

      public abstract class AbstractFactoryBeanDefinitionParser
      extends AbstractBeanDefinitionParser

  This class makes it easy to create two simultaneous beans - a factory bean and the bean that the factory produces.

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.configuration.spring.AbstractBeanDefinitionParser

      `WIRE_BUS_ATTRIBUTE, WIRE_BUS_CREATE, WIRE_BUS_HANDLER, WIRE_BUS_NAME`

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractFactoryBeanDefinitionParser()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doParse​(Element element, org.springframework.beans.factory.xml.ParserContext ctx, org.springframework.beans.factory.support.BeanDefinitionBuilder bean)` |
    `protected String` | `getDestroyMethod()` |
    `protected abstract Class<?>` | `getFactoryClass()` |
    `protected abstract String` | `getFactoryIdSuffix()` |
    `protected Class<?>` | `getRawFactoryClass()` |
    `static void` | `setFactoriesAreAbstract​(boolean b)` |

    - ### Methods inherited from class org.apache.cxf.configuration.spring.AbstractBeanDefinitionParser

      `addBusWiringAttribute, addBusWiringAttribute, getBeanClass, getBeanClass, getFirstChild, getIdOrName, getJaxbPackage, getSuffix, hasBusProperty, isAttribute, mapAttribute, mapAttribute, mapElement, mapElementToJaxbBean, mapElementToJaxbBean, mapElementToJaxbProperty, mapElementToJaxbProperty, mapElementToJaxbProperty, mapElementToJaxbPropertyFactory, mapToProperty, parseAttribute, parseAttributes, parseChildElements, parseQName, processBusAttribute, processNameAttribute, resolveId, setBeanClass, setFirstChildAsProperty, unmarshalFactoryString`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

      `doParse, getBeanClassName, getParentName, parseInternal`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractFactoryBeanDefinitionParser

          public AbstractFactoryBeanDefinitionParser()

  - ### Method Detail

    - #### setFactoriesAreAbstract

          public static void setFactoriesAreAbstract​(boolean b)

    - #### getDestroyMethod

          protected String getDestroyMethod()

    - #### doParse

          protected void doParse​(Element element,
                                 org.springframework.beans.factory.xml.ParserContext ctx,
                                 org.springframework.beans.factory.support.BeanDefinitionBuilder bean)

      Overrides:
        `doParse` in class `AbstractBeanDefinitionParser`

    - #### getFactoryClass

          protected abstract Class<?> getFactoryClass()

    - #### getRawFactoryClass

          protected Class<?> getRawFactoryClass()

    - #### getFactoryIdSuffix

          protected abstract String getFactoryIdSuffix()

      Returns:
        The Spring ID of the factory bean.